summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/prereq.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 195acd2be..e5e314b6a 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -415,6 +415,17 @@ fi
rm test.c test 2>/dev/null
rm Makefile.tmp 2>/dev/null
+# for make kernelconfig pkg-config is required to find ncurses
+if [ $os = "Darwin" ]; then
+ printf " ---> checking if pkg-config is installed.. "
+ if ! which pkg-config >/dev/null 2>&1; then
+ printf "not found\n"
+ out=1
+ else
+ printf "found\n"
+ fi
+fi
+
# error out on any required prerequisite
if [ $out -ne 0 ]; then
exit